summaryrefslogtreecommitdiffstats
path: root/bin/g-i-installation.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-04-28 21:21:19 +0200
committerHolger Levsen <holger@layer-acht.org>2014-04-28 21:21:19 +0200
commitee8968e1127eb3d5cfaaa76a1bf289b587745593 (patch)
tree3f8868d87e94e1b3f49985cbdeb5500c81b197db /bin/g-i-installation.sh
parent1722d670d8782ac05c9239df53673a1716d94ba3 (diff)
downloadjenkins.debian.net-ee8968e1127eb3d5cfaaa76a1bf289b587745593.tar.xz
g-i: kill more precisely
Diffstat (limited to 'bin/g-i-installation.sh')
-rwxr-xr-xbin/g-i-installation.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index 5983c820..adb0bd72 100755
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -79,7 +79,7 @@ cleanup_all() {
#
# kill qemu
#
- sudo kill -9 $(ps fax | grep [q]emu-system | grep vnc=$DISPLAY 2>/dev/null | awk '{print $1}') || true
+ sudo kill -9 $(ps fax | grep [q]emu-system | grep "vnc=$DISPLAY " 2>/dev/null | awk '{print $1}') || true
sleep 0.3s
rm $WORKSPACE/$NAME.raw
rm $QEMU_LAUNCHER
@@ -1046,7 +1046,7 @@ case $NAME in
*) #
# kill qemu and image
#
- sudo kill -9 $(ps fax | grep [q]emu-system | grep vnc=$DISPLAY 2>/dev/null | awk '{print $1}') || true
+ sudo kill -9 $(ps fax | grep [q]emu-system | grep "vnc=$DISPLAY " 2>/dev/null | awk '{print $1}') || true
if [ ! -z "$IMAGE" ] ; then
sudo umount -l $IMAGE_MNT || true
fi